#include <bits/stdc++.h>

using namespace std;

int main()
{
    long long x1,y1,x2,y2;
    cin>>x1>>y1>>x2>>y2;
    if(x1==x2 || y1==y2)
    {
        cout<<2;
        return 0;
    }
    long long dx=abs(x1-x2);
    long long dy=abs(y1-y2);
    if(dx==dy)
    {
        cout<<1;
        return 0;
    }
    else
    {
        cout<<0;
        return 0;
    }

    return 0;
}